#ifndef _addressbookH_h
#define _addressbookH_h

#include <stdio.h>
#include <time.h>
#include <gtk/gtk.h>
#include <gtk/gtkclist.h>
#include "desktop.h"


#define ALLOW_SWITCH_RECORD	0


#define TOPLEVEL_NM     "Address Book"

#if (PCX || PCFB || PDA)
#define TOPLEVEL_X      0
#define TOPLEVEL_Y      0
#else
#define TOPLEVEL_X      620//450
#define TOPLEVEL_Y      105//250
#endif

#define BUT_THRESHOLD   250

#define TOPLEVEL_WD     WINDOW_WIDTH
#define TOPLEVEL_HT     WINDOW_HEIGHT

#define ALL_SPACE       0
#define FIRST_SPACE     0
#define SECOND_SPACE    0
#define THIRD_SPACE     4

#define TOPBOX_WD       TOPLEVEL_WD
#define TOPBOX_HT       20

#define SWLIST_WD       TOPLEVEL_WD - 22
#define SWLIST_HT       (TOPLEVEL_HT - FIRST_SPACE - TOPBOX_HT \
			 - SECOND_SPACE - BUTTON_HT - THIRD_SPACE)

#define NAME_INX	0
#define NAME_WD		120
#define PHONE_INX	1
#define PHONE_WD	80
#define LIST_ROW_HT	18

#define BUTTON_WD       45
#define BUTTON_HT       25

#define NAME		0
#define TITLE		1
#define COMPANY		2
#define WORK		3
#define HOME		4
#define FAX		5
#define OTHER		6
#define EMAIL		7
#define ADDRESS1	8
#define ADDRESS2	9

#define NUM_FIELDS	10
#define NUM_ENTRIES     11


#define RECORD_DONE	0
#define RECORD_INSERT	1
#define RECORD_UPDATE	2
#define RECORD_DELETE	3


typedef struct _addr_info
{
   gchar *fname;	/* first name */
   gchar *lname;	/* last name */
   gchar *title;	/* title */
   gchar *cname;	/* company Name */
   gchar *work;		/* work phone no. */
   gchar *home;		/* home phone no. */
   gchar *fax;		/* fax no. */
   gchar *other;	/* other phone no. */
   gchar *email;	/* e-mail address */
   gchar *address1;	/* correspondent address */
   gchar *address2;	/* correspondent address */
   gint  row;		/* selected row in list */
   gint  status;	/* insert, update, delete */
} addr_info;


#endif

