
#define PIXMAP_INFO	(gchar**)1

typedef struct _ButtonEntry
{
	gchar           *label;		// Text to put on the button
	gchar			**pixmap;	// A pointer to pixmap in memory or PIXMAP_*
	gchar           *name;
	GtkSignalFunc   func;
	gpointer        data;
}
ButtonEntry;

GtkWidget *CreateMenuGetItemFactory (GtkWidget * window, GtkWidget *main_vbox, 
						GtkItemFactoryEntry * menu_entries, int menu_entries_count,
						ButtonEntry * button_entries, int button_entries_count,
						GtkItemFactory **p_item_factory);

GtkWidget *CreateMenu(GtkWidget *window, GtkWidget *main_vbox, 
					  GtkItemFactoryEntry *menu_entries, int menu_entries_count,
					  ButtonEntry *button_entries, int button_entries_count);

void SetMenuTitle(GtkWidget *menu, char *title);

